## ros-indigo-pr2-hardware-interface 1.8.16

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_hardware_interface)

find_package(catkin REQUIRED COMPONENTS roscpp geometry_msgs)

catkin_package(
    CATKIN_DEPENDS roscpp geometry_msgs
    INCLUDE_DIRS include
    CFG_EXTRAS ${PROJECT_NAME}-extras.cmake
)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-indigo-pr2-hardware-interface (1.8.16-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 13 Jan 2015 16:54:02 -0000

ros-indigo-pr2-hardware-interface (1.8.15-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 13 Jan 2015 05:00:00 -0000

ros-indigo-pr2-hardware-interface (1.8.14-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 13 Jan 2015 05:00:00 -0000

ros-indigo-pr2-hardware-interface (1.8.13-0trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 16 Dec 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-pr2-hardware-interface
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-roscpp
Homepage: http://ros.org/wiki/pr2_hardware_interface
Standards-Version: 3.9.2

Package: ros-indigo-pr2-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-roscpp
Description: This package contains the C++ interfaces to the PR2 hardware components that are controlled over EtherCAT. This includes the motors and encoders needed to control the PR2 mechanism, as well as components like the pressure sensors in the fingertips, camera triggers, etc... All of the hardware components in this interface are directly available to the controllers inside the hard realtime control loop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pr2-hardware-interface//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
